package sudoku;

public class Case {
    private final int ligne;
    private final int colonne;
    private Symbole symbole;
    
        public Case(int ligne, int colonne, Symbole symbole) {
            this.ligne = ligne;
            this.colonne = colonne;
            this.symbole = symbole;
        }
    
        public int getLigne() {
            return ligne;
        }
    
        public int getColonne() {
            return colonne;
        }
    
        public Symbole getSymbole() {
            return symbole;
        }
    
        public void setSymbole(Symbole symbole) {
            this.symbole = symbole;
    }

    @Override
    public String toString() {
        return (symbole == null) ? "-" : symbole.toString();
    }
}
